package com.bsoft.api.mapper;

import com.bsoft.api.model.SerProjValue;
import com.bsoft.api.model.respmodel.SerProjValueResp;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface SerProjValueMapper {
    int deleteByPrimaryKey(BigDecimal id);

    int insert(SerProjValue record);

    SerProjValue selectByPrimaryKey(BigDecimal id);

    List<SerProjValue> selectAll();

    int updateByPrimaryKey(SerProjValue record);

    List<SerProjValueResp> selectValue(@Param("projType") Integer projType,
                                       @Param("typeState") Integer typeState,
                                       @Param("exponentId") Integer exponentId,
                                       @Param("dept") String dept,@Param("date") Integer date,
                                       @Param("budgetType") Integer budgetType,@Param("hosCode") String hosCode);

    int deleteByDeptWithDate(@Param("dept") String dept,@Param("date") BigDecimal date,
                             @Param("projType") Integer projType);

    void updateValue(@Param("date") BigDecimal date,@Param("hosCode") String hosCode);
}